API Documentation
Setup
Submit Jobs
Finetuning
Job Management
File Management
Custom Tools
Overview
Python SDK Reference
End to End example
GET
List custom tools
GET
Get a custom tool
POST
Create a custom tool
PATCH
Update a custom tool
DELETE
Delete a custom tool
POST
Create a source upload
POST
Build a custom tool
GET
List build logs
POST
Cancel a custom tool build
POST
Run a custom tool
POST
Publish a custom tool version
GET
List custom tool versions
Pipelines
Stop Jobs
POST
/api/stop-jobStop running or queued jobs using the POST API endpoint /stop-job. For batch jobs, all sub-jobs that are running or queued will be stopped.
Required Parameters:
jobName
(string)
Name of the job to stop. Must be provided in the request body as JSON. For batch jobs, provide the parent batch job name to stop all sub-jobs.
Note: Only jobs with status Running or In Queue can be stopped. Jobs that are already Complete, Stopped, or Deleted will return an error.
HTTP Response Status Codes
| Status code | Description |
|---|---|
| 200 | Job successfully stopped |
| 400 | Bad request - job not found, not stoppable, or missing parameters |
| 405 | Method not allowed |
1import requests
2
3api_key = "***************"
4headers = {'x-api-key': api_key}
5base_url = "https://app.tamarind.bio/api/"
6
7params = {
8 "jobName": "myJobName"
9}
10response = requests.post(base_url + "stop-job", headers=headers, json=params)
11print(response.json())Response Format
1{
2 "message": "myJobName stopped",
3 "stoppedCount": 1
4}